Summary: 	Powerful replacement for inetd
Name: 		xinetd
Version: 	2.3.15.4
Release: 	%mkrel 3
Group: 		System/Base
# convert.pl is GPL
License: 	BSD and GPL
URL: 		https://github.com/openSUSE/xinetd/
Source0: 	https://github.com/openSUSE/xinetd/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:	sysconfig.xinetd
Source3:	convert.pl
Source4:	xinetd-ttime
Source5:	xinetd-utime
Source6:	xinetd-tdtime
Source7:	xinetd-udtime
Source8:	xinetd-echo
Source9:	xinetd-uecho
Source10:	xinetd-chargen
Source11:	xinetd-uchargen
Source13:	xinetd-servers
Source14:	xinetd-services
Source15:	xinetd-xadmin
Source50:	faq.html
Patch0:		xinetd-service-sysconfig.patch
Patch1:		xinetd-2.3.15.4-disable-bin.patch
Requires:	tcp_wrappers
Requires(post):	rpm-helper
Requires(postun):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	tcp_wrappers-devel
BuildRequires:	pkgconfig(libtirpc)
Obsoletes:	xinetd-ipv6
Obsoletes:	xinetd-devel
Obsoletes:	netkit-base
Provides:	xinetd-devel
Provides:	netkit-base

%description
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

%package simple-services
Summary:	Internal xinetd simple services
Group:		System/Base
License:	BSD
Requires:	xinetd

%description simple-services
Internal xinetd simple services (not very useful one):

- chargen
- daytime
- echo
- time
- servers
- services
- xadmin

%prep
%setup -q
%autopatch -p1

install -m 0644 %{SOURCE50} FAQ.html

%build
%serverbuild
autoreconf -fi
%configure --disable-silent-rules
%make_build

%install
%make_install

install -m 755 %SOURCE3 %{buildroot}%{_sbindir}/inetdconvert
install -D -m 644 contrib/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/xinetd

install -d -m 755 %{buildroot}%{_sysconfdir}/xinetd.d
install -m 644 %SOURCE4 %{buildroot}%{_sysconfdir}/xinetd.d/time
install -m 644 %SOURCE5 %{buildroot}%{_sysconfdir}/xinetd.d/time-udp
install -m 644 %SOURCE6 %{buildroot}%{_sysconfdir}/xinetd.d/daytime
install -m 644 %SOURCE7 %{buildroot}%{_sysconfdir}/xinetd.d/daytime-udp
install -m 644 %SOURCE8 %{buildroot}%{_sysconfdir}/xinetd.d/echo
install -m 644 %SOURCE9 %{buildroot}%{_sysconfdir}/xinetd.d/echo-udp
install -m 644 %SOURCE10 %{buildroot}%{_sysconfdir}/xinetd.d/chargen
install -m 644 %SOURCE11 %{buildroot}%{_sysconfdir}/xinetd.d/chargen-udp
install -m 644 %SOURCE14 %{buildroot}%{_sysconfdir}/xinetd.d/services

# no need to ship this one since we provide inetdconvert
rm -f %{buildroot}%{_sbindir}/itox
rm -f %{buildroot}%{_sbindir}/xconv.pl
rm -f %{buildroot}/%{_mandir}/man8/itox*

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md FAQ.html CHANGELOG COPYRIGHT contrib/xinetd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/xinetd
%config(noreplace) %{_sysconfdir}/xinetd.conf
%{_unitdir}/xinetd.service
%{_sbindir}/xinetd
%{_sbindir}/inetdconvert
%{_mandir}/*/*

%files simple-services
%config(noreplace) %{_sysconfdir}/xinetd.d/*


%changelog
* Wed Jun 10 2020 daviddavid <daviddavid> 2.3.15.4-3.mga8
+ Revision: 1592015
- rebuild with new rpm-mageia-setup handling config.{guess,sub} update

* Fri Feb 14 2020 umeabot <umeabot> 2.3.15.4-2.mga8
+ Revision: 1521642
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.3.15.4-1.mga7
+ Revision: 1345901
- 2.3.15.4
- update URLs
- use upstream config files and sysconfig (and patch) from opensuse
- remove upstreamed CVE-2013-4342 patch
- disable useless/superfluous new binary programs
- BR libtirpc

* Sun Sep 23 2018 umeabot <umeabot> 2.3.15-11.mga7
+ Revision: 1301911
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 wally <wally> 2.3.15-10.mga7
+ Revision: 1243185
- fix build on aarch64
- use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 2.3.15-9.mga6
+ Revision: 949927
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 cjw <cjw> 2.3.15-8.mga5
+ Revision: 790666
- drop executable flags from systemd configuration file

* Wed Oct 15 2014 umeabot <umeabot> 2.3.15-7.mga5
+ Revision: 750166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.15-6.mga5
+ Revision: 690667
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.3.15-5.mga4
+ Revision: 539779
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 oden <oden> 2.3.15-4.mga4
+ Revision: 492911
- P0: security fix for CVE-2013-4342 (rhel6)

* Mon Jan 14 2013 umeabot <umeabot> 2.3.15-3.mga3
+ Revision: 387056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 guillomovitch <guillomovitch> 2.3.15-2.mga3
+ Revision: 280157
- trim package description
- add systemd support
- drop sysinit support

* Thu Jun 14 2012 luigiwalser <luigiwalser> 2.3.15-1.mga3
+ Revision: 260659
- 2.3.15

* Tue May 08 2012 pterjan <pterjan> 2.3.14-14.mga2
+ Revision: 234910
- Do not own /etc/xinetd.d, it is already in filesystem
- Fix initscript's LSB header

* Wed Jan 12 2011 ahmad <ahmad> 2.3.14-13.mga1
+ Revision: 7000
- fix license
- imported package xinetd


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.14-12mdv2011.0
+ Revision: 608212
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.14-11mdv2010.1
+ Revision: 524446
- rebuilt for 2010.1

* Thu Dec 25 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.14-10mdv2009.1
+ Revision: 319107
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.3.14-9mdv2009.0
+ Revision: 226045
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.3.14-8mdv2008.1
+ Revision: 171187
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 31 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.3.14-7mdv2008.1
+ Revision: 160874
- Fix initscript so that it returns the proper value on status action.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 28 2007 Andreas Hasenack <andreas@mandriva.com> 2.3.14-6mdv2008.0
+ Revision: 45529
- use serverbuild macro


* Mon Mar 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.14-5mdv2007.0
+ Revision: 133367
- obsoletes xinetd-ipv6

* Tue Feb 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.14-4mdv2007.1
+ Revision: 126594
- init script harmonization with other packages
- large installation sequence cleanup
  don't ship library man pages, as the library is not shipped itself
  init script is not configuration
- drop ugly dual binary setup, and only ship one unique xinetd version
- spec cleanup

  + Andreas Hasenack <andreas@mandriva.com>
    - bump release
    - use C locale instead of en_US, so we don't have to require
      locales-en to be installed (#19106 and #26202)
    - bunzipped some files
    - Import xinetd

* Wed Sep 13 2006 Andreas Hasenack <andreas@mandriva.com> 2.3.14-2mdv2007.0
- don't ignore return values in the init script

* Tue Jan 31 2006 Warly <warly@mandriva.com> 2.3.14-1mdk
- new version

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.3.13-7mdk
- fix typo in initscripts

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.3.13-6mdk
- convert parallel init to LSB
- fix pre/post requires

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.3.13-5mdk
- fix deps

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 2.3.13-4mdk
- Add parallel init stuff

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.3.13-3mdk
- Rebuild

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.3.13-2mdk
- Fix Build with gcc4 ( Fedora )

